page-player {
  .videologo {
    color: #faa74a;
    opacity: 1;
  }
  ion-icon[name='ios-shuffle'],
  ion-icon[name='ios-repeat'] {
    font-weight: bold;
  }

  .song_name {
    .button-inner {
      justify-content: left;
    }
    span.fourth {
      .a_name,
      ion-icon {
        float: left;
      }
      ion-icon {
        margin-left: 10px;
      }
    }
  }
  .b_bottom {
    margin-top: 20px;
    .b_menu {
      button.button {
        background: transparent;
        box-shadow: none;
      }
      .button-inner {
        justify-content: left;
      }
    }
  }

  .background-image {
    background: #141e30; /* fallback for old browsers */
    background: -webkit-linear-gradient(
      to top,
      #000,
      #cb356b,
      #bd3f32
    ); /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to top, #000, #cb356b, #bd3f32);
    width: 100vw;
    height: 100vh;
    background-size: cover;
    background-position: center;
    -webkit-filter: blur(10px);
    -moz-filter: blur(10px);
    -o-filter: blur(10px);
    -ms-filter: blur(10px);
    filter: blur(10px);
    opacity: 0.5;
    z-index: 1;
  }

  .shadow img {
    -webkit-box-shadow: 0px 3px 10px 6px rgba(0, 0, 0, 0.2); /* Safari 3-4, iOS 4.0.2 - 4.2, Android 2.3+ */
    -moz-box-shadow: 0px 3px 10px 6px rgba(0, 0, 0, 0.2); /* Firefox 3.5 - 3.6 */
    box-shadow: 0px 3px 10px 6px rgba(0, 0, 0, 0.2); /* Opera 10.5, IE 9, Firefox 4+, Chrome 6+, iOS 5 */
    height: 100%;
    width: 100%;
    object-fit: cover;
  }
  img-loader {
    width: 100%;
    height: 100%;
    display: block;
  }
  .shadow.small img {
    width: 40px;
  }
  h2.nowplaying {
    padding-left: 30px;
  }

  .shadowt {
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2);
    &.third {
      overflow-x: auto;
      white-space: nowrap;
      line-height: 40px;
    }
  }

  .toolbar-title-md,
  .toolbar-title-ios {
    font-size: 1.5rem;
  }

  .toolbar {
    .toolbar-background {
      background: transparent;
    }
  }

  .ion-button {
    text-transform: none;
  }
  .small .ion-ios-pause,
  .small .ion-md-pause {
    font-size: 200%;
    padding: 0;
    text-align: right;
  }

  .small .ion-ios-play,
  .small .ion-md-play {
    font-size: 200%;
    padding: 0;
  }

  .item-md ion-avatar ion-img,
  .item-md ion-avatar img {
    border-radius: 0px !important;
  }

  .item-ios ion-avatar ion-img,
  .item-ios ion-avatar img {
    border-radius: 0px !important;
  }

  .button-md {
    font-size: 1.4rem;
    font-weight: 200 !important;
  }
  .button-clear-md {
    border-color: transparent;
    color: white;
    background-color: transparent;
    -webkit-box-shadow: none;
    box-shadow: none;
    opacity: 0.8;
  }

  .button-ios {
    font-size: 1.5rem;
    font-weight: 300 !important;
  }

  .range-ios:not(.range-has-pin) .range-knob-pressed .range-knob {
    -webkit-transform: scale(1);
    transform: scale(1);
    width: 17px !important;
    height: 17px !important;
    top: 13px;
    left: 13px;
    background: #cb356b;
  }

  .range-md:not(.range-has-pin) .range-knob-pressed .range-knob {
    background: #cb356b;
  }

  .range-ios .range-knob {
    width: 13px !important;
    height: 13px !important;
    top: 15px;
    left: 15px;
  }

  .range-ios .range-bar-active,
  .range-md .range-bar-active {
    background: #cb356b;
  }

  .header-ios .toolbar-ios:last-child .toolbar-background-ios {
    border: none !important;
  }
  .div_title {
    position: relative;
    padding-top: 10px;
    .button-inner {
      justify-content: left;
    }
    .right_buttons {
      position: absolute;
      right: 10px;
      top: 10px;
      button.button {
        border-radius: 30px;
        width: 32px;
        height: 32px;
        .button-inner {
          justify-content: center;
        }
      }
    }
  }
  .div_artist {
    // color: #000;
    button.button {
      height: 20px;
    }
    .button-inner {
      justify-content: left;
    }
    .a_name {
      float: left;
      margin-right: 5px;
    }
  }
  .button_title {
    // color:#000;
    font-size: 22px;
    text-transform: none;
    padding-right: 80px;
    padding-left: 16px;
    font-weight: bold !important;
    marquee {
      line-height: 40px;
    }
    .button-inner {
      position: relative;
    }
  }
  ion-content.content {
    background: rgba(0, 0, 0, 0.9) !important;
  }
}

.div_top {
  position: fixed;
  background: -moz-linear-gradient(
    top,
    rgba(0, 0, 0, 0.65) 0%,
    rgba(0, 0, 0, 0) 100%
  ); /* FF3.6-15 */
  background: -webkit-linear-gradient(
    top,
    rgba(0, 0, 0, 0.65) 0%,
    rgba(0, 0, 0, 0) 100%
  ); /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(
    to bottom,
    rgba(0, 0, 0, 0.65) 0%,
    rgba(0, 0, 0, 0) 100%
  ); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#a6000000', endColorstr='#00000000',GradientType=0 );
  color: white;
  z-index: 999;
  top: 0px;
  left: 0px;
  width: 100%;
  padding: 10px;
  padding-bottom: 20px;
  text-align: left;
  &.nowplaying {
    padding: 3px;
  }
  button {
    background: transparent;
    box-shadow: none;
    opacity: 0.99;
    color: #fff;
    width: auto;
    span.lyrics,
    span.lang {
      display: block;
      border: 1px solid #fff;
      border-radius: 30px;
      width: 28px;
      height: 28px;
      text-align: center;
      line-height: 28px;
    }
    span.lyrics {
      width: auto;
      padding-left: 10px;
      padding-right: 10px;
    }
  }
  button:nth-child(2) {
    float: right;
  }
}
.play_buttons {
  ion-col.col {
    display: flex;
    align-items: center;
    justify-content: center;
  }
}
.pbutton {
  ion-icon {
    font-size: 200% !important;
    // color: #000;
  }
  &.pplay {
    ion-icon {
      font-size: 320% !important;
    }
  }
}
audio-track-progress-bar {
  input[type='range'] {
    width: 92%;
    // background: #000;
  }
  time {
    // color: #000;
    padding-top: 5px;
    font-size: 12px;
  }
  time.start_time {
    float: left;
    margin-left: 12px;
  }
  time.end_time {
    float: right;
    margin-right: 12px;
  }
}
